Bug 20321 - C4:XISBN->get_biblionumber_from_isbn is not used
Summary: C4:XISBN->get_biblionumber_from_isbn is not used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-01 16:33 UTC by Nick Clemens
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20321 - Remove get_biblionumber_from_isbn (3.00 KB, patch)
2018-03-01 16:35 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20321 - Remove get_biblionumber_from_isbn (3.05 KB, patch)
2018-03-02 20:46 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20321 - Remove get_biblionumber_from_isbn (3.11 KB, patch)
2018-03-05 11:39 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-03-01 16:33:21 UTC
Let remove it
Comment 1 Nick Clemens 2018-03-01 16:35:02 UTC
Created attachment 72340 [details] [review]
Bug 20321 - Remove get_biblionumber_from_isbn

To test:
1 - grep get_biblionumber_from_isbn
2 - verify all occurences are not actual calls (except for test)
3 - Apply patch
4 - grep get_biblionumber_from_isbn
5 - Verify it is removed
Comment 2 Roch D'Amour 2018-03-02 20:46:43 UTC
Created attachment 72385 [details] [review]
Bug 20321 - Remove get_biblionumber_from_isbn

To test:
1 - grep get_biblionumber_from_isbn
2 - verify all occurences are not actual calls (except for test)
3 - Apply patch
4 - grep get_biblionumber_from_isbn
5 - Verify it is removed

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Josef Moravec 2018-03-05 11:39:38 UTC
Created attachment 72433 [details] [review]
Bug 20321 - Remove get_biblionumber_from_isbn

To test:
1 - grep get_biblionumber_from_isbn
2 - verify all occurences are not actual calls (except for test)
3 - Apply patch
4 - grep get_biblionumber_from_isbn
5 - Verify it is removed

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2018-03-19 18:31:28 UTC
Pushed to master for 18.05, thanks to everybody involved!